org.gjt.sp.jedit.gui

## Class DockableWindowManagerProvider

- java.lang.Object
- - org.gjt.sp.jedit.gui.DockableWindowManagerProvider

All Implemented Interfaces:
  DockingFrameworkProvider

    public class DockableWindowManagerProvider
    extends java.lang.Object
    implements DockingFrameworkProvider

jEdit's classic dockable window manager, turned into a "provider" service.

Since:
  jEdit 4.3pre16

### Constructor Summary

Constructors
Constructor and Description
`DockableWindowManagerProvider()`

### Method Summary

Methods
`DockableWindowManager` `create(View view, DockableWindowFactory instance, View.ViewConfig config)`
`DockableWindowManager.DockingLayout` `createDockingLayout()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DockableWindowManagerProvider

    public DockableWindowManagerProvider()

### Method Detail

#### create

    public DockableWindowManager create(View view,
                               DockableWindowFactory instance,
                               View.ViewConfig config)

Specified by:
  `create` in interface `DockingFrameworkProvider`

#### createDockingLayout

    public DockableWindowManager.DockingLayout createDockingLayout()

Specified by:
  `createDockingLayout` in interface `DockingFrameworkProvider`